﻿using System.IO;
using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Serialize;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _8891
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-48.5286262681766, -6.18288677427336, -48.3432095970202, -6.4046923351998);

            LayerOverlay layerOverlay = new LayerOverlay();
            
            GeoTiffRasterLayer layer = new GeoTiffRasterLayer(@"..\..\AppData\test.tiff", map.CurrentExtent);                        
            string path = @"..\..\AppData\test.xml";

            GeoSerializer gs = new GeoSerializer();
            gs.Serialize(layer, path); // serialize to xml
            
            GeoTiffRasterLayer geoTiffRasterLayer = gs.Deserialize(File.ReadAllText(path)) as GeoTiffRasterLayer; // deserialize back
            layerOverlay.Layers.Add(geoTiffRasterLayer);
            map.Overlays.Add(layerOverlay);
            map.Refresh();
        }
    }
}
